######################################
# Build: Standard CIP configurations #
######################################
build:arm_cip_bbb_defconfig:
  extends: .build-debian-bookworm
  variables:
    BUILD_ARCH: arm
    CONFIG: cip_bbb_defconfig
    CONFIG_LOC: cip-kernel-config

build:arm_hitachi_cyclonev_defconfig:
  extends: .build-debian-bookworm
  variables:
    BUILD_ARCH: arm
    CONFIG: hitachi_cyclonev_defconfig
    CONFIG_LOC: cip-kernel-config

build:arm_hitachi_omap_defconfig:
  extends: .build-debian-bookworm
  variables:
    BUILD_ARCH: arm
    CONFIG: hitachi_omap_defconfig
    CONFIG_LOC: cip-kernel-config

build:arm_moxa_mxc_defconfig:
  extends: .build-debian-bookworm
  variables:
    BUILD_ARCH: arm
    CONFIG: moxa_mxc_defconfig
    CONFIG_LOC: cip-kernel-config

build:arm_qemu_arm_defconfig:
  extends: .build-debian-bookworm
  variables:
    BUILD_ARCH: arm
    CONFIG: qemu_arm_defconfig
    CONFIG_LOC: cip-kernel-config

build:arm_renesas_shmobile_defconfig:
  extends: .build-debian-bookworm
  variables:
    BUILD_ARCH: arm
    CONFIG: renesas_shmobile_defconfig
    CONFIG_LOC: cip-kernel-config

build:arm_siemens_de0-nano-soc_defconfig:
  extends: .build-debian-bookworm
  variables:
    BUILD_ARCH: arm
    CONFIG: siemens_de0-nano-soc_defconfig
    CONFIG_LOC: cip-kernel-config

build:arm_siemens_imx6_defconfig:
  extends: .build-debian-bookworm
  variables:
    BUILD_ARCH: arm
    CONFIG: siemens_imx6_defconfig
    CONFIG_LOC: cip-kernel-config

build:arm64_ctj_zynqmp_defconfig:
  extends: .build-debian-bookworm
  variables:
    BUILD_ARCH: arm64
    CONFIG: ctj_zynqmp_defconfig
    CONFIG_LOC: cip-kernel-config

build:arm64_moxa_eds_defconfig:
  extends: .build-debian-bookworm
  variables:
    BUILD_ARCH: arm64
    CONFIG: moxa_eds_defconfig
    CONFIG_LOC: cip-kernel-config

build:arm64_qemu_arm64_defconfig:
  extends: .build-debian-bookworm
  variables:
    BUILD_ARCH: arm64
    CONFIG: qemu_arm64_defconfig
    CONFIG_LOC: cip-kernel-config

build:arm64_renesas_defconfig:
  extends: .build-debian-bookworm
  variables:
    BUILD_ARCH: arm64
    CONFIG: renesas_defconfig
    CONFIG_LOC: cip-kernel-config

build:riscv_qemu_riscv64_defconfig:
  extends: .build-debian-bookworm
  variables:
    BUILD_ARCH: riscv
    CONFIG: qemu_riscv64_defconfig
    CONFIG_LOC: cip-kernel-config

build:x86_cip_qemu_defconfig:
  extends: .build-debian-bookworm
  variables:
    BUILD_ARCH: x86
    CONFIG: cip_qemu_defconfig
    CONFIG_LOC: cip-kernel-config

build:x86_plathome_obsvx2_defconfig:
  extends: .build-debian-bookworm
  variables:
    BUILD_ARCH: x86
    CONFIG: plathome_obsvx2_defconfig
    CONFIG_LOC: cip-kernel-config

build:x86_siemens_iot2000_defconfig:
  extends: .build-debian-bookworm
  variables:
    BUILD_ARCH: x86
    CONFIG: siemens_iot2000_defconfig
    CONFIG_LOC: cip-kernel-config

build:x86_siemens_ipc227e_defconfig:
  extends: .build-debian-bookworm
  variables:
    BUILD_ARCH: x86
    CONFIG: siemens_ipc227e_defconfig
    CONFIG_LOC: cip-kernel-config

build:x86_siemens_server_defconfig:
  extends: .build-debian-bookworm
  variables:
    BUILD_ARCH: x86
    CONFIG: siemens_server_defconfig
    CONFIG_LOC: cip-kernel-config

build:x86_toshiba_atom_baytrail_cip_defconfig:
  extends: .build-debian-bookworm
  variables:
    BUILD_ARCH: x86
    CONFIG: toshiba_atom_baytrail_cip_defconfig
    CONFIG_LOC: cip-kernel-config

#################################
# Build: Non-CIP configurations #
#################################
build:arm_multi_v7_defconfig:
  extends: .build-debian-bookworm
  variables:
    BUILD_ARCH: arm
    CONFIG: multi_v7_defconfig
    CONFIG_LOC: intree

build:arm_shmobile_defconfig:
  extends: .build-debian-bookworm
  variables:
    BUILD_ARCH: arm
    CONFIG: shmobile_defconfig
    CONFIG_LOC: intree

build:arm64_defconfig:
  extends: .build-debian-bookworm
  variables:
    BUILD_ARCH: arm64
    CONFIG: defconfig
    CONFIG_LOC: intree

build:riscv_defconfig:
  extends: .build-debian-bookworm
  variables:
    BUILD_ARCH: riscv
    CONFIG: defconfig
    CONFIG_LOC: intree

build:x86_defconfig:
  extends: .build-debian-bookworm
  variables:
    BUILD_ARCH: x86
    CONFIG: defconfig
    CONFIG_LOC: intree

#####################################
# Test: Standard CIP configurations #
#####################################
test:arm_cip_bbb_defconfig:
  extends: .test
  needs: ["build:arm_cip_bbb_defconfig"]
  variables:
    BUILD_ARCH: arm
    CONFIG: cip_bbb_defconfig
    DEVICES: beaglebone-black
    DTBS: am335x-boneblack.dtb
    TESTS: boot smc

test:arm_qemu_arm_defconfig:
  extends: .test
  needs: ["build:arm_qemu_arm_defconfig"]
  variables:
    BUILD_ARCH: arm
    CONFIG: qemu_arm_defconfig
    DEVICES: qemu
    TESTS: boot

test:arm_renesas_shmobile_defconfig:
  extends: .test
  needs: ["build:arm_renesas_shmobile_defconfig"]
  variables:
    BUILD_ARCH: arm
    CONFIG: renesas_shmobile_defconfig
    DEVICES: r8a7743-iwg20d-q7
    DTBS: r8a7743-iwg20d-q7-dbcm-ca.dtb
    TESTS: boot smc

test:arm_siemens_de0-nano-soc_defconfig:
  extends: .test
  needs: ["build:arm_siemens_de0-nano-soc_defconfig"]
  variables:
    BUILD_ARCH: arm
    CONFIG: siemens_de0-nano-soc_defconfig
    DEVICES: de0-nano-soc
    DTBS: socfpga_cyclone5_de0_nano_soc.dtb
    TESTS: boot smc

test:arm64_ctj_zynqmp_defconfig:
  extends: .test
  needs: ["build:arm64_ctj_zynqmp_defconfig"]
  variables:
    BUILD_ARCH: arm64
    CONFIG: ctj_zynqmp_defconfig
    DEVICES: zynqmp-zcu102
    DTBS: zynqmp-zcu102-rev1.0.dtb
    TESTS: boot smc

test:arm64_qemu_arm64_defconfig:
  extends: .test
  needs: ["build:arm64_qemu_arm64_defconfig"]
  variables:
    BUILD_ARCH: arm64
    CONFIG: qemu_arm64_defconfig
    DEVICES: qemu
    TESTS: boot

test:arm64_renesas_defconfig:
  extends: .test
  needs: ["build:arm64_renesas_defconfig"]
  variables:
    BUILD_ARCH: arm64
    CONFIG: renesas_defconfig
    DEVICES: r8a774a1-hihope-rzg2m-ex
    DTBS: r8a774a1-hihope-rzg2m-ex.dtb
    TESTS: boot smc

test:x86_cip_qemu_defconfig:
  extends: .test
  needs: ["build:x86_cip_qemu_defconfig"]
  variables:
    BUILD_ARCH: x86
    CONFIG: cip_qemu_defconfig
    DEVICES: qemu
    TESTS: boot

test:x86_siemens_ipc227e_defconfig:
  extends: .test
  needs: ["build:x86_siemens_ipc227e_defconfig"]
  variables:
    BUILD_ARCH: x86
    CONFIG: siemens_ipc227e_defconfig
    DEVICES: x86-simatic-ipc227e
    TESTS: boot smc

test:x86_plathome_obsvx2_defconfig:
  extends: .test
  needs: ["build:x86_plathome_obsvx2_defconfig"]
  variables:
    BUILD_ARCH: x86
    CONFIG: plathome_obsvx2_defconfig
    DEVICES: x86-openblocks-iot-vx2
    TESTS: boot smc

################################
# Test: Non-CIP configurations #
################################
test:arm_multi_v7_defconfig_bbb:
  extends: .test
  needs: ["build:arm_multi_v7_defconfig"]
  variables:
    BUILD_ARCH: arm
    CONFIG: multi_v7_defconfig
    IMAGE: zImage
    DEVICES: beaglebone-black
    DTBS: am335x-boneblack.dtb
    TESTS: boot

test:arm_multi_v7_defconfig_de0nanosoc:
  extends: .test
  needs: ["build:arm_multi_v7_defconfig"]
  variables:
    BUILD_ARCH: arm
    CONFIG: multi_v7_defconfig
    IMAGE: zImage
    DEVICES: de0-nano-soc
    DTBS: socfpga_cyclone5_de0_nano_soc.dtb
    TESTS: boot

test:arm_multi_v7_defconfig_iwg20d:
  extends: .test
  needs: ["build:arm_multi_v7_defconfig"]
  variables:
    BUILD_ARCH: arm
    CONFIG: multi_v7_defconfig
    IMAGE: uImage
    DEVICES: r8a7743-iwg20d-q7
    DTBS: r8a7743-iwg20d-q7-dbcm-ca.dtb
    TESTS: boot

test:arm_shmobile_defconfig:
  extends: .test
  needs: ["build:arm_shmobile_defconfig"]
  variables:
    BUILD_ARCH: arm
    CONFIG: shmobile_defconfig
    DEVICES: r8a7743-iwg20d-q7
    DTBS: r8a7743-iwg20d-q7-dbcm-ca.dtb
    TESTS: boot

test:arm64_defconfig:
  extends: .test
  needs: ["build:arm64_defconfig"]
  variables:
    BUILD_ARCH: arm64
    CONFIG: defconfig
    DEVICES: r8a774a1-hihope-rzg2m-ex
    DTBS: r8a774a1-hihope-rzg2m-ex.dtb
    TESTS: boot
